List volume discounts
curl --request GET \
--url https://wisepim.com/api/public/v1/volume-discounts \
--header 'Authorization: Bearer <token>'import requests
url = "https://wisepim.com/api/public/v1/volume-discounts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://wisepim.com/api/public/v1/volume-discounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": 123,
"name": "<string>",
"scope": "<string>",
"discount_type": "<string>",
"apply_to": "<string>",
"calculation_method": "<string>",
"product_ids": [
123
],
"category_id": 123,
"customer_group_ids": [
123
],
"start_date": "2023-11-07T05:31:56Z",
"end_date": "2023-11-07T05:31:56Z",
"priority": 123,
"is_active": true,
"is_currently_active": true,
"combine_with_other_discounts": true,
"requires_coupon": true,
"coupon_code": "<string>",
"include_subcategories": true,
"product_filters": {},
"tiers": [
{
"id": 123,
"min_quantity": 123,
"max_quantity": 123,
"discount_method": "<string>",
"discount_value": "<string>",
"description": "<string>"
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"next_cursor": "<string>",
"has_more": true
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>",
"detail": [
{}
]
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}List volume discounts
GET /volume-discounts: tier pricing rules with their products, category and customer groups. Requires volume-discounts:read.
GET
/
api
/
public
/
v1
/
volume-discounts
List volume discounts
curl --request GET \
--url https://wisepim.com/api/public/v1/volume-discounts \
--header 'Authorization: Bearer <token>'import requests
url = "https://wisepim.com/api/public/v1/volume-discounts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://wisepim.com/api/public/v1/volume-discounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": 123,
"name": "<string>",
"scope": "<string>",
"discount_type": "<string>",
"apply_to": "<string>",
"calculation_method": "<string>",
"product_ids": [
123
],
"category_id": 123,
"customer_group_ids": [
123
],
"start_date": "2023-11-07T05:31:56Z",
"end_date": "2023-11-07T05:31:56Z",
"priority": 123,
"is_active": true,
"is_currently_active": true,
"combine_with_other_discounts": true,
"requires_coupon": true,
"coupon_code": "<string>",
"include_subcategories": true,
"product_filters": {},
"tiers": [
{
"id": 123,
"min_quantity": 123,
"max_quantity": 123,
"discount_method": "<string>",
"discount_value": "<string>",
"description": "<string>"
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"next_cursor": "<string>",
"has_more": true
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>",
"detail": [
{}
]
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}Authorizations
Use a project API key from Settings > API Access. Send it as Authorization: Bearer wpk_.... See authentication and scopes for setup and permissions.

